Adnotacje
GET https://analyticse.com/api/annotations/
curl --request GET \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| website_id | Opcjonalny Całkowity | |
| search | Opcjonalny Ciąg | Ciężar wyszukiwania. |
| search_by | Opcjonalny Ciąg | Jakie pole przeszukujesz? Dozwolone wartości to: name. |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: datetime, last_datetime, chart_datetime |
| datetime_start | Opcjonalny Ciąg | Data rozpoczęcia |
| datetime_end | Opcjonalny Ciąg | Data zakończenia |
| order_by | Opcjonalny Ciąg | Jakie pole użyć do sortowania wyników. Dozwolone wartości to: annotation_id, website_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla porządku rosnącego i DESC dla porządku malejącego. |
| page | Opcjonalny Całkowity | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Całkowity | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:15",
"last_datetime": null,
"datetime": "2026-09-12 00:42:15"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://analyticse.com/api/annotations?page=1",
"last": "https://analyticse.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/annotations?page=1"
}
}
GET https://analyticse.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:15",
"last_datetime": null,
"datetime": "2026-09-12 00:42:15"
}
}
POST https://analyticse.com/api/annotations
| Parametry | Szczegóły | Opis |
|---|---|---|
| website_id | Wymagane Całkowity | - |
| name | Wymagane Ciąg | - |
| chart_datetime | Wymagane Ciąg | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:15' \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:15' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:15",
"last_datetime": null,
"datetime": "2026-09-12 00:42:15"
}
}
POST https://analyticse.com/api/annotations/{annotation_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| website_id | Opcjonalny Całkowity | - |
| name | Opcjonalny Ciąg | - |
| chart_datetime | Opcjonalny Ciąg | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:15",
"last_datetime": "2026-09-12 00:42:15",
"datetime": "2026-09-12 00:42:15"
}
}
DELETE https://analyticse.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \